Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer.validate
Class BufferDistanceValidator

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.BufferDistanceValidator

    public class BufferDistanceValidator

extends java.lang.Object

Validates that a given buffer curve lies an appropriate distance from the input generating it. Useful only for round buffers (cap and join). Can be used for either positive or negative distances.

This is a heuristic test, and may return false positive results (I.e. it may fail to detect an invalid result.) It should never return a false negative result, however (I.e. it should never report a valid result as invalid.)

Author:
  mbdavis

Constructor Summary
`BufferDistanceValidator(Geometry input, double bufDistance, Geometry result)`

Method Summary
`Geometry` | `getErrorIndicator()` Gets a geometry which indicates the location and nature of a validation failure.
`Coordinate` | `getErrorLocation()`
`java.lang.String` | `getErrorMessage()`
`boolean` | `isValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferDistanceValidator

    public BufferDistanceValidator(Geometry input,
                                   double bufDistance,
                                   Geometry result)

Method Detail

### isValid

    public boolean isValid()

### getErrorMessage

    public java.lang.String getErrorMessage()

### getErrorLocation

    public Coordinate getErrorLocation()

### getErrorIndicator

    public Geometry getErrorIndicator()

  Gets a geometry which indicates the location and nature of a validation failure.

  The indicator is a line segment showing the location and size of the distance discrepancy.

  Returns:
    a geometric error indicator or null if no error was found

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD